Package com.macrofocus.high_d.parallelcoordinatesmatrix

# Class DefaultParallelCoordinatesMatrixModel<Color,Row,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixModel<Color,Row,C>
com.macrofocus.high_d.parallelcoordinatesmatrix.DefaultParallelCoordinatesMatrixModel<Color,Row,C>

All Implemented Interfaces:
  `ParallelCoordinatesMatrixModel<Color,Row,C>`, `com.macrofocus.visual.VisualObjects<Row>`

public class DefaultParallelCoordinatesMatrixModel<Color,Row,C> extends AbstractParallelCoordinatesMatrixModel<Color,Row,C> implements com.macrofocus.visual.VisualObjects<Row>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory)`
  `DefaultParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.crossplatform.CPFactory factory)`
  `DefaultParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel axisGroupModel, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy axisHierarchy, ParallelCoordinatesSettings settings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.high_d.axis.group.AxisGroupModel`
  `getAxisGroupModel()`
  `com.macrofocus.high_d.axis.hierarchy.AxisHierarchy`
  `getAxisHierarchy()`
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,C>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `com.macrofocus.molap.dataframe.DataFrame`
  `getDataFrame()`
  `Filter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `ParallelCoordinatesSettings`
  `getSettings()`
  `com.macrofocus.visual.Visual<Color,Row,C>`
  `getVisual()`

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixModel

  `addParallelCoordinatesMatrixListener, removeParallelCoordinatesMatrixListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultParallelCoordinatesMatrixModel

    public DefaultParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory)

  - ### DefaultParallelCoordinatesMatrixModel

    public DefaultParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.crossplatform.CPFactory factory)

  - ### DefaultParallelCoordinatesMatrixModel

    public DefaultParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel axisGroupModel, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy axisHierarchy, ParallelCoordinatesSettings settings)

- ## Method Details

  - ### getVisual

    public com.macrofocus.visual.Visual<Color,Row,C> getVisual()
    Specified by:
      `getVisual` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`

  - ### getObjectCount

    public int getObjectCount()
    Returns the number of data objects (typically rows).
    Specified by:
      `getObjectCount` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Specified by:
      `getObjectCount` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Returns:
      the number of data objects

  - ### getProbing

    public MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Specified by:
      `getProbing` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Returns:
      the model used for probing.

  - ### getSelection

    public MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Specified by:
      `getSelection` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Returns:
      the model used for selection.

  - ### getFilter

    public Filter<Row> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Specified by:
      `getFilter` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Returns:
      the model used for filtering.

  - ### getColorMapping

    public com.macrofocus.colormapping.MutableColorMapping<Color,Row,C> getColorMapping()
    Gets model holding the color mapping of each object.
    Specified by:
      `getColorMapping` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Returns:
      the model holding the color of each object.

  - ### getColoring

    public com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Specified by:
      `getColoring` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Returns:
      the model holding the color of each object.

  - ### getObject

    public Row getObject(int index)
    Specified by:
      `getObject` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`
    Specified by:
      `getObject` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Parameters:
      `index` -
    Returns:

  - ### getAxisGroupModel

    public com.macrofocus.high_d.axis.group.AxisGroupModel getAxisGroupModel()
    Specified by:
      `getAxisGroupModel` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`

  - ### getDataFrame

    public com.macrofocus.molap.dataframe.DataFrame getDataFrame()
    Specified by:
      `getDataFrame` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`

  - ### getAxisHierarchy

    public com.macrofocus.high_d.axis.hierarchy.AxisHierarchy getAxisHierarchy()
    Specified by:
      `getAxisHierarchy` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`

  - ### getSettings

    public ParallelCoordinatesSettings getSettings()
    Specified by:
      `getSettings` in interface `ParallelCoordinatesMatrixModel<Color,Row,C>`